Package org.drinkless.tdlib

# Class TdApi.GetStarRevenueStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StarRevenueStatistics>
org.drinkless.tdlib.TdApi.GetStarRevenueStatistics

Enclosing class:
  `TdApi`

public static class TdApi.GetStarRevenueStatistics extends TdApi.Function<TdApi.StarRevenueStatistics>
Returns detailed Telegram Star revenue statistics.

Returns `StarRevenueStatistics`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isDark`
  Pass true if a dark theme is used by the application.
  `TdApi.MessageSender`
  `ownerId`
  Identifier of the owner of the Telegram Stars; can be identifier of the current user, an owned bot, or a supergroup or a channel chat with supergroupFullInfo.canGetStarRevenueStatistics == true.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStarRevenueStatistics()`
  Default constructor for a function, which returns detailed Telegram Star revenue statistics.
  `GetStarRevenueStatistics(TdApi.MessageSender ownerId, boolean isDark)`
  Creates a function, which returns detailed Telegram Star revenue statistics.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ownerId

    public TdApi.MessageSender ownerId
    Identifier of the owner of the Telegram Stars; can be identifier of the current user, an owned bot, or a supergroup or a channel chat with supergroupFullInfo.canGetStarRevenueStatistics == true.

  - ### isDark

    public boolean isDark
    Pass true if a dark theme is used by the application.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStarRevenueStatistics

    public GetStarRevenueStatistics()
    Default constructor for a function, which returns detailed Telegram Star revenue statistics.

    Returns `StarRevenueStatistics`

  - ### GetStarRevenueStatistics

    public GetStarRevenueStatistics(TdApi.MessageSender ownerId, boolean isDark)
    Creates a function, which returns detailed Telegram Star revenue statistics.

    Returns `StarRevenueStatistics`

    Parameters:
      `ownerId` - Identifier of the owner of the Telegram Stars; can be identifier of the current user, an owned bot, or a supergroup or a channel chat with supergroupFullInfo.canGetStarRevenueStatistics == true.
      `isDark` - Pass true if a dark theme is used by the application.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StarRevenueStatistics>`
    Returns:
      this.CONSTRUCTOR